%global python3_pkgversion 3.11
Name:           python-pytest-console-scripts
Version:        1.4.1
Release:        2.ac16.py3.11%{?dist}
Summary:        Pytest plugin for testing console scripts
# SPDX
License:        MIT
URL:            https://github.com/kvas-it/pytest-console-scripts
Source:         %{pypi_source pytest-console-scripts}

BuildArch:      noarch
BuildRequires:  python%{python3_pkgversion}-devel


%global _description %{expand:
Pytest-console-scripts is a pytest plugin for running python
scripts from within tests.}


%description %_description

%package -n     python%{python3_pkgversion}-pytest-console-scripts
Summary:        %{summary}
# https://github.com/kvas-it/pytest-console-scripts/issues/56
Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-pytest-console-scripts %_description


%prep
%autosetup -p1 -n pytest-console-scripts-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_console_scripts


%check


for b in $(find %{buildroot}%{_bindir}/ -type f) ; do mv "$b" $(sed -re "s|(.*)$|\1-%{python3_pkgversion}|"<<<"$b"); done
for m in $(find %{buildroot}%{_mandir}/ -type f) ; do mv "$m" $(sed -re "s|(.*).([1-8])(.*)$|\1-%{python3_pkgversion}.\2\3|"<<<"$m"); done
for m in $(find %{buildroot}%{_datadir}/locale/* -type f) ; do mv "$m" $(sed -re "s|(.*).mo$|\1-%{python3_pkgversion}.mo|"<<<"$m"); done
for l in $(find %{buildroot}/usr/lib64/lib* -type f -o -type l) ; do mv "$l" $(sed -re "s|(.*).so(.*)$|\1-py%{python3_pkgversion}.so\2|"<<<"$l"); done
for p in $(find %{buildroot}/usr/lib64/pkgconfig/* -type f) ; do mv "$p" $(sed -re "s|(.*).pc$|\1-py%{python3_pkgversion}.pc|"<<<"$p"); done
%files -n python%{python3_pkgversion}-pytest-console-scripts -f %{pyproject_files}
%doc README.md


%changelog
* Sun May 05 2024 Ding-Yi Chen <dingyichen@gmail.com> -  1.4.1-2.ac16.py3.11
 - Cut corner packaging
